Activity log for bug #1842489

Date Who What changed Old value New value Message
2019-09-03 18:10:49 Eric Desrochers bug added bug
2019-09-03 18:11:25 Eric Desrochers nominated for series Ubuntu Bionic
2019-09-03 18:11:25 Eric Desrochers bug task added sosreport (Ubuntu Bionic)
2019-09-03 18:11:25 Eric Desrochers nominated for series Ubuntu Disco
2019-09-03 18:11:25 Eric Desrochers bug task added sosreport (Ubuntu Disco)
2019-09-03 18:11:25 Eric Desrochers nominated for series Ubuntu Xenial
2019-09-03 18:11:25 Eric Desrochers bug task added sosreport (Ubuntu Xenial)
2019-09-03 18:13:39 Eric Desrochers summary Update sosrepor [last] plugin Update sosreport [last] plugin
2019-09-03 18:13:43 Eric Desrochers tags sts
2019-09-03 18:14:21 Eric Desrochers sosreport (Ubuntu): status New In Progress
2019-09-03 18:14:28 Eric Desrochers sosreport (Ubuntu): assignee Eric Desrochers (slashd)
2019-09-03 18:16:50 Eric Desrochers description [IMPACT] Canonical support is about to offer SOSCleaner project for UA customer who wants to obfuscate sensible data from an existing sosreport tarball such as user, hostname, network information obfuscation. Currently SOSCleaner relies on what sosreport offers which is "lastlog", which currently report all user regardless of their UID. Unfortunately, this generate a lot of false positives inside SOSCleaner especially for user in the UID range 0-999 (e.g.'sys', 'bin', 'syslog', and much more) I have submitted a PR in sosreport upstream in order to split lastlog output by UID ranges, in order to help SOSCleaner to obfuscate what we really want to obfuscate and ignore the rest. https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 Once approved upstream, I'd like to push that change in E/D/B/X in order to unblock the development of the tool "SOSCleaner" which unfortunately won't land in the archive for now, will be offered in a Private PPA. Note that the plan is for the package to eventually land in the Ubuntu archive in the near future. [TEST CASE] * Install sosreport - sosreport -a * Install soscleaner - soscleaner /tmp/sosreport-<TARBALL> * Make sure only user in the 1000-6000 UID range are obfuscated. [REGRESSION POTENTIAL] - None, cause sosreport will still collect the entire lastlog, we are not removing that behaviour, we simply add an alternative which is not excessively costly for typical systems. [OTHER INFO] https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 [IMPACT] Canonical support is about to offer SOSCleaner project for UA customer who wants to obfuscate sensible data from an existing sosreport tarball such as user, hostname, network information obfuscation. For user obfuscation, currently SOSCleaner relies on what sosreport offers which is "lastlog", reporting all user regardless of their UID. Unfortunately, this generate a lot of false positives (and require a significant ignored_users list) inside SOSCleaner especially for user in the UID range 0-999 (e.g.'sys', 'bin', 'syslog', and much more) I have submitted a PR in sosreport upstream in order to split lastlog output by UID ranges, in order to help SOSCleaner to obfuscate what we really want to obfuscate and ignore the rest. https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 Once approved upstream, I'd like to push that change in E/D/B/X in order to unblock the development of the tool "SOSCleaner" which unfortunately won't land in the archive for now, will be offered in a Private PPA. Note that the plan is for the package to eventually land in the Ubuntu archive in the near future. [TEST CASE] * Install sosreport  - sosreport -a * Install soscleaner  - soscleaner /tmp/sosreport-<TARBALL> * Make sure only user in the 1000-6000 UID range are obfuscated. [REGRESSION POTENTIAL] - None, cause sosreport will still collect the entire lastlog, we are not removing that behaviour, we simply add an alternative which is not excessively costly for typical systems. [OTHER INFO] https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770
2019-09-03 18:18:20 Eric Desrochers description [IMPACT] Canonical support is about to offer SOSCleaner project for UA customer who wants to obfuscate sensible data from an existing sosreport tarball such as user, hostname, network information obfuscation. For user obfuscation, currently SOSCleaner relies on what sosreport offers which is "lastlog", reporting all user regardless of their UID. Unfortunately, this generate a lot of false positives (and require a significant ignored_users list) inside SOSCleaner especially for user in the UID range 0-999 (e.g.'sys', 'bin', 'syslog', and much more) I have submitted a PR in sosreport upstream in order to split lastlog output by UID ranges, in order to help SOSCleaner to obfuscate what we really want to obfuscate and ignore the rest. https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 Once approved upstream, I'd like to push that change in E/D/B/X in order to unblock the development of the tool "SOSCleaner" which unfortunately won't land in the archive for now, will be offered in a Private PPA. Note that the plan is for the package to eventually land in the Ubuntu archive in the near future. [TEST CASE] * Install sosreport  - sosreport -a * Install soscleaner  - soscleaner /tmp/sosreport-<TARBALL> * Make sure only user in the 1000-6000 UID range are obfuscated. [REGRESSION POTENTIAL] - None, cause sosreport will still collect the entire lastlog, we are not removing that behaviour, we simply add an alternative which is not excessively costly for typical systems. [OTHER INFO] https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 [IMPACT] Canonical support is about to offer SOSCleaner project for UA customer who wants to obfuscate sensible data from an existing sosreport tarball such as user, hostname, network information obfuscation. For user obfuscation, currently SOSCleaner relies on what sosreport offers which is "lastlog", reporting all user regardless of their UID. Unfortunately, this generate a lot of false positives (and require a significant ignored_users list) inside SOSCleaner especially for user in the UID range 0-999 (e.g.'sys', 'bin', 'syslog', and much more) I have submitted a PR in sosreport upstream in order to split lastlog output by UID ranges, in order to help SOSCleaner to obfuscate what we really want to obfuscate and ignore the rest. https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 Once approved upstream, I'd like to push that change in E/D/B/X in order to unblock the development of the tool "SOSCleaner" which unfortunately won't land in the archive for now, will be offered in a Private PPA. Note that the plan is for the package to eventually land in the Ubuntu archive in the near future. [TEST CASE] * Install sosreport ** Run sosreport:  - sosreport -a * Install soscleaner ** Run soscleaner:  - soscleaner /tmp/sosreport-<TARBALL> * Make sure only user in the 1000-6000 UID range are obfuscated. [REGRESSION POTENTIAL] - None, sosreport will still collect the entire lastlog (current behavior), we are not removing that behaviour, we simply add an alternative which is not costly for typical systems. [OTHER INFO] https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770
2019-09-03 18:26:32 Eric Desrochers description [IMPACT] Canonical support is about to offer SOSCleaner project for UA customer who wants to obfuscate sensible data from an existing sosreport tarball such as user, hostname, network information obfuscation. For user obfuscation, currently SOSCleaner relies on what sosreport offers which is "lastlog", reporting all user regardless of their UID. Unfortunately, this generate a lot of false positives (and require a significant ignored_users list) inside SOSCleaner especially for user in the UID range 0-999 (e.g.'sys', 'bin', 'syslog', and much more) I have submitted a PR in sosreport upstream in order to split lastlog output by UID ranges, in order to help SOSCleaner to obfuscate what we really want to obfuscate and ignore the rest. https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 Once approved upstream, I'd like to push that change in E/D/B/X in order to unblock the development of the tool "SOSCleaner" which unfortunately won't land in the archive for now, will be offered in a Private PPA. Note that the plan is for the package to eventually land in the Ubuntu archive in the near future. [TEST CASE] * Install sosreport ** Run sosreport:  - sosreport -a * Install soscleaner ** Run soscleaner:  - soscleaner /tmp/sosreport-<TARBALL> * Make sure only user in the 1000-6000 UID range are obfuscated. [REGRESSION POTENTIAL] - None, sosreport will still collect the entire lastlog (current behavior), we are not removing that behaviour, we simply add an alternative which is not costly for typical systems. [OTHER INFO] https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 [IMPACT] Canonical support is about to offer SOSCleaner project for UA customer who wants to obfuscate sensible data from an existing sosreport tarball such as user, hostname, network information obfuscation. For user obfuscation, currently SOSCleaner relies on what sosreport offers which is "lastlog", reporting all user regardless of their UID. Unfortunately, this generate a lot of false positives (and require a significant ignored_users list) inside SOSCleaner especially for user in the UID range 0-999 (e.g.'sys', 'bin', 'syslog', and much more) I have submitted a PR in sosreport upstream in order to split lastlog output by UID ranges, in order to help SOSCleaner to obfuscate what we really want to obfuscate and ignore the rest. https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 Once approved upstream, I'd like to push that change in E/D/B/X in order to unblock the development of the tool "SOSCleaner" which unfortunately won't land in the archive for now, will be offered in a Private PPA. Note that the plan is for the package to land in the Ubuntu archive in the near future (few months still) and this change will highly impact the delay if this fix doesn't land in sosreport (Ubuntu archive). [TEST CASE] * Install sosreport  ** Run sosreport:  - sosreport -a * Install soscleaner  ** Run soscleaner:  - soscleaner /tmp/sosreport-<TARBALL> * Make sure only user in the 1000-6000 UID range are obfuscated. [REGRESSION POTENTIAL] - None, sosreport will still collect the entire lastlog (current behavior), we are not removing that behaviour, we simply add an alternative which is not costly for typical systems. [OTHER INFO] https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770
2019-09-03 18:34:06 Eric Desrochers description [IMPACT] Canonical support is about to offer SOSCleaner project for UA customer who wants to obfuscate sensible data from an existing sosreport tarball such as user, hostname, network information obfuscation. For user obfuscation, currently SOSCleaner relies on what sosreport offers which is "lastlog", reporting all user regardless of their UID. Unfortunately, this generate a lot of false positives (and require a significant ignored_users list) inside SOSCleaner especially for user in the UID range 0-999 (e.g.'sys', 'bin', 'syslog', and much more) I have submitted a PR in sosreport upstream in order to split lastlog output by UID ranges, in order to help SOSCleaner to obfuscate what we really want to obfuscate and ignore the rest. https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 Once approved upstream, I'd like to push that change in E/D/B/X in order to unblock the development of the tool "SOSCleaner" which unfortunately won't land in the archive for now, will be offered in a Private PPA. Note that the plan is for the package to land in the Ubuntu archive in the near future (few months still) and this change will highly impact the delay if this fix doesn't land in sosreport (Ubuntu archive). [TEST CASE] * Install sosreport  ** Run sosreport:  - sosreport -a * Install soscleaner  ** Run soscleaner:  - soscleaner /tmp/sosreport-<TARBALL> * Make sure only user in the 1000-6000 UID range are obfuscated. [REGRESSION POTENTIAL] - None, sosreport will still collect the entire lastlog (current behavior), we are not removing that behaviour, we simply add an alternative which is not costly for typical systems. [OTHER INFO] https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 [IMPACT] Canonical support is about to offer SOSCleaner project for UA customer who wants to obfuscate sensible data from an existing sosreport tarball such as user, hostname, network information obfuscation. For user obfuscation, currently SOSCleaner relies on what sosreport offers which is "lastlog", reporting all user regardless of their UID. Unfortunately, this generate a lot of false positives (and require a significant ignored_users list) inside SOSCleaner especially for user in the UID range 0-999 (e.g.'sys', 'bin', 'syslog', and much more) I have submitted a PR in sosreport upstream in order to split lastlog output by UID ranges, in order to help SOSCleaner to obfuscate what we really want to obfuscate and ignore the rest. https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 Once approved upstream, I'd like to push that change in E/D/B/X in order to unblock the development of the tool "SOSCleaner" which unfortunately won't land in the archive for now, will be offered in a Private PPA. Note that the plan is for the package to land in the Ubuntu archive in the near future (few months still) and this change will highly impact the delay if this fix doesn't land in sosreport (Ubuntu archive). [TEST CASE] * Install sosreport  ** Run sosreport:  - sosreport -a * Install soscleaner  ** Run soscleaner:  - soscleaner /tmp/sosreport-<TARBALL> * Make sure only user in the 1000-60000 UID range are obfuscated. [REGRESSION POTENTIAL] - None, sosreport will still collect the entire lastlog (current behavior), we are not removing that behaviour, we simply add an alternative which is not costly for typical systems. [OTHER INFO] https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770
2019-09-03 19:03:38 Eric Desrochers sosreport (Ubuntu): importance Undecided Low
2019-09-03 19:03:43 Eric Desrochers sosreport (Ubuntu): importance Low Medium
2019-09-04 16:28:33 Łukasz Zemczak sosreport (Ubuntu): status In Progress Triaged
2019-09-04 16:28:41 Łukasz Zemczak bug added subscriber Ubuntu Release Team
2019-09-04 16:46:59 Eric Desrochers description [IMPACT] Canonical support is about to offer SOSCleaner project for UA customer who wants to obfuscate sensible data from an existing sosreport tarball such as user, hostname, network information obfuscation. For user obfuscation, currently SOSCleaner relies on what sosreport offers which is "lastlog", reporting all user regardless of their UID. Unfortunately, this generate a lot of false positives (and require a significant ignored_users list) inside SOSCleaner especially for user in the UID range 0-999 (e.g.'sys', 'bin', 'syslog', and much more) I have submitted a PR in sosreport upstream in order to split lastlog output by UID ranges, in order to help SOSCleaner to obfuscate what we really want to obfuscate and ignore the rest. https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 Once approved upstream, I'd like to push that change in E/D/B/X in order to unblock the development of the tool "SOSCleaner" which unfortunately won't land in the archive for now, will be offered in a Private PPA. Note that the plan is for the package to land in the Ubuntu archive in the near future (few months still) and this change will highly impact the delay if this fix doesn't land in sosreport (Ubuntu archive). [TEST CASE] * Install sosreport  ** Run sosreport:  - sosreport -a * Install soscleaner  ** Run soscleaner:  - soscleaner /tmp/sosreport-<TARBALL> * Make sure only user in the 1000-60000 UID range are obfuscated. [REGRESSION POTENTIAL] - None, sosreport will still collect the entire lastlog (current behavior), we are not removing that behaviour, we simply add an alternative which is not costly for typical systems. [OTHER INFO] https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 [IMPACT] Canonical support is about to offer SOSCleaner project for UA customer who wants to obfuscate sensible data from an existing sosreport tarball such as user, hostname, network information obfuscation. For user obfuscation, currently SOSCleaner relies on what sosreport offers which is "lastlog", reporting all user regardless of their UID. Unfortunately, this generate a lot of false positives (and require a significant ignored_users list) inside SOSCleaner especially for user in the UID range 0-999 (e.g.'sys', 'bin', 'syslog', and much more) I have submitted a PR in sosreport upstream in order to split lastlog output by UID ranges, in order to help SOSCleaner to obfuscate what we really want to obfuscate and ignore the rest. https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 Once approved upstream, I'd like to push that change in E/D/B/X in order to unblock the development of the tool "SOSCleaner" which unfortunately won't land in the archive for now, will be offered in a Private PPA. Note that the plan is for the package to land in the Ubuntu archive in the near future (few months still) and this change will highly impact the delay if this fix doesn't land in sosreport (Ubuntu archive). [TEST CASE] * Install sosreport  ** Run sosreport:  - sosreport -a * Install soscleaner  ** Run soscleaner:  - soscleaner /tmp/sosreport-<TARBALL> * Make sure only user in the 1000-60000 UID range are obfuscated. [REGRESSION POTENTIAL] - None, sosreport will still collect the entire lastlog (current behavior), we are not removing that behaviour, we simply add an alternative which is not costly for typical systems. [OTHER INFO] * Upstream fix not merged yet, but +1 by maintainers: https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770
2019-09-04 17:08:39 Eric Desrochers description [IMPACT] Canonical support is about to offer SOSCleaner project for UA customer who wants to obfuscate sensible data from an existing sosreport tarball such as user, hostname, network information obfuscation. For user obfuscation, currently SOSCleaner relies on what sosreport offers which is "lastlog", reporting all user regardless of their UID. Unfortunately, this generate a lot of false positives (and require a significant ignored_users list) inside SOSCleaner especially for user in the UID range 0-999 (e.g.'sys', 'bin', 'syslog', and much more) I have submitted a PR in sosreport upstream in order to split lastlog output by UID ranges, in order to help SOSCleaner to obfuscate what we really want to obfuscate and ignore the rest. https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 Once approved upstream, I'd like to push that change in E/D/B/X in order to unblock the development of the tool "SOSCleaner" which unfortunately won't land in the archive for now, will be offered in a Private PPA. Note that the plan is for the package to land in the Ubuntu archive in the near future (few months still) and this change will highly impact the delay if this fix doesn't land in sosreport (Ubuntu archive). [TEST CASE] * Install sosreport  ** Run sosreport:  - sosreport -a * Install soscleaner  ** Run soscleaner:  - soscleaner /tmp/sosreport-<TARBALL> * Make sure only user in the 1000-60000 UID range are obfuscated. [REGRESSION POTENTIAL] - None, sosreport will still collect the entire lastlog (current behavior), we are not removing that behaviour, we simply add an alternative which is not costly for typical systems. [OTHER INFO] * Upstream fix not merged yet, but +1 by maintainers: https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 [IMPACT] Canonical support is about to offer SOSCleaner project for UA customer who wants to obfuscate sensible data from an existing sosreport tarball such as user, hostname, network information obfuscation. For user obfuscation, currently SOSCleaner relies on what sosreport offers which is "lastlog", reporting all user regardless of their UID. Unfortunately, this generate a lot of false positives (and require a significant ignored_users list) inside SOSCleaner especially for user in the UID range 0-999 (e.g.'sys', 'bin', 'syslog', and much more) I have submitted a PR in sosreport upstream in order to split lastlog output by UID ranges, in order to help SOSCleaner to obfuscate what we really want to obfuscate and ignore the rest. https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 Once approved upstream, I'd like to push that change in E/D/B/X in order to unblock the development of the tool "SOSCleaner" which unfortunately won't land in the archive for now, will be offered in a Private PPA. Note that the plan is for the package to land in the Ubuntu archive in the near future (few months still) and this change will highly impact the delay if this fix doesn't land in sosreport (Ubuntu archive). [TEST CASE] * Install sosreport  ** Run sosreport:  - sosreport -a * Install soscleaner  ** Run soscleaner:  - soscleaner /tmp/sosreport-<TARBALL> * Make sure only user in the 1000-60000 UID range are obfuscated. [REGRESSION POTENTIAL] - None, sosreport will still collect the entire lastlog (current behavior), we are not removing that behaviour, we simply add an alternative which is not costly for typical systems. [OTHER INFO] * Upstream fix not merged yet, but +1 by maintainers: https://github.com/sosreport/sos/issues/1743 https://github.com/sosreport/sos/pull/1770 * Build logs: https://launchpad.net/~slashd/+archive/ubuntu/lp1842489/+build/17517716 https://launchpad.net/~slashd/+archive/ubuntu/lp1842489/+build/17517717
2019-09-04 17:23:16 Eric Desrochers sosreport (Ubuntu): status Triaged In Progress
2019-09-04 17:23:39 Eric Desrochers summary Update sosreport [last] plugin Ffe: Update sosreport [last] plugin
2019-09-04 19:30:47 Launchpad Janitor sosreport (Ubuntu): status In Progress Fix Released
2019-09-04 19:46:23 Eric Desrochers sosreport (Ubuntu Xenial): assignee Eric Desrochers (slashd)
2019-09-04 19:46:26 Eric Desrochers sosreport (Ubuntu Bionic): assignee Eric Desrochers (slashd)
2019-09-04 19:46:28 Eric Desrochers sosreport (Ubuntu Disco): assignee Eric Desrochers (slashd)
2019-09-04 19:46:31 Eric Desrochers sosreport (Ubuntu Disco): status New In Progress
2019-09-04 19:46:34 Eric Desrochers sosreport (Ubuntu Bionic): status New In Progress
2019-09-04 19:46:36 Eric Desrochers sosreport (Ubuntu Xenial): status New In Progress
2019-09-04 19:46:49 Eric Desrochers sosreport (Ubuntu Xenial): importance Undecided Medium
2019-09-04 19:46:51 Eric Desrochers sosreport (Ubuntu Bionic): importance Undecided Medium
2019-09-04 19:46:52 Eric Desrochers sosreport (Ubuntu Disco): importance Undecided Medium
2019-09-04 19:47:25 Eric Desrochers summary Ffe: Update sosreport [last] plugin [ffe][sru]: Update sosreport [last] plugin
2019-09-09 14:45:24 Łukasz Zemczak sosreport (Ubuntu Disco): status In Progress Fix Committed
2019-09-09 14:45:25 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2019-09-09 14:45:29 Łukasz Zemczak bug added subscriber SRU Verification
2019-09-09 14:45:32 Łukasz Zemczak tags sts sts verification-needed verification-needed-disco
2019-09-09 14:47:16 Łukasz Zemczak sosreport (Ubuntu Bionic): status In Progress Fix Committed
2019-09-09 14:47:21 Łukasz Zemczak tags sts verification-needed verification-needed-disco sts verification-needed verification-needed-bionic verification-needed-disco
2019-09-09 14:51:09 Łukasz Zemczak sosreport (Ubuntu Xenial): status In Progress Fix Committed
2019-09-09 14:51:16 Łukasz Zemczak tags sts verification-needed verification-needed-bionic verification-needed-disco sts verification-needed verification-needed-bionic verification-needed-disco verification-needed-xenial
2019-09-10 21:29:58 Eric Desrochers tags sts verification-needed verification-needed-bionic verification-needed-disco verification-needed-xenial sts verification-done-disco verification-needed verification-needed-bionic verification-needed-xenial
2019-09-11 11:40:34 Eric Desrochers tags sts verification-done-disco verification-needed verification-needed-bionic verification-needed-xenial sts verification-done-bionic verification-done-disco verification-needed verification-needed-xenial
2019-09-11 11:44:12 Eric Desrochers tags sts verification-done-bionic verification-done-disco verification-needed verification-needed-xenial sts verification-done-bionic verification-done-disco verification-done-xenial verification-needed
2019-09-16 20:23:22 Launchpad Janitor sosreport (Ubuntu Disco): status Fix Committed Fix Released
2019-09-16 20:23:27 Łukasz Zemczak removed subscriber Ubuntu Stable Release Updates Team
2019-09-16 20:23:37 Launchpad Janitor sosreport (Ubuntu Bionic): status Fix Committed Fix Released
2019-09-16 20:23:48 Launchpad Janitor sosreport (Ubuntu Xenial): status Fix Committed Fix Released